Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.linear
Class MatrixUtils.BigFractionMatrixConverter

    java.lang.Object
      org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor<BigFraction>
          org.apache.commons.math.linear.MatrixUtils.BigFractionMatrixConverter

All Implemented Interfaces:
  FieldMatrixPreservingVisitor<BigFraction>

Enclosing class:
  MatrixUtils

    private static class MatrixUtils.BigFractionMatrixConverter

extends DefaultFieldMatrixPreservingVisitor<BigFraction>

Converter for `FieldMatrix`/`BigFraction`.

Field Summary
`private double[][]` | `data` Converted array.

Constructor Summary
`MatrixUtils.BigFractionMatrixConverter()` Simple constructor.

Method Summary
`(package private) Array2DRowRealMatrix` | `getConvertedMatrix()` Get the converted matrix.
`void` | `start(int rows, int columns, int startRow, int endRow, int startColumn, int endColumn)` Start visiting a matrix.
`void` | `visit(int row, int column, BigFraction value)` Visit one matrix entry.

Methods inherited from class org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor
`end`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    private double[][] data

  Converted array.

Constructor Detail

### MatrixUtils.BigFractionMatrixConverter

    public MatrixUtils.BigFractionMatrixConverter()

  Simple constructor.

Method Detail

### start

    public void start(int rows,
                      int columns,
                      int startRow,
                      int endRow,
                      int startColumn,
                      int endColumn)

  Start visiting a matrix.

  This method is called once before any entry of the matrix is visited.

  Specified by:
    `start` in interface `FieldMatrixPreservingVisitor<BigFraction>`
  Overrides:
    `start` in class `DefaultFieldMatrixPreservingVisitor<BigFraction>`
  Parameters:
    `rows` - number of rows of the matrix
    `columns` - number of columns of the matrix
    `startRow` - Initial row index
    `endRow` - Final row index (inclusive)
    `startColumn` - Initial column index
    `endColumn` - Final column index (inclusive)

### visit

    public void visit(int row,
                      int column,
                      BigFraction value)

  Visit one matrix entry.

  Specified by:
    `visit` in interface `FieldMatrixPreservingVisitor<BigFraction>`
  Overrides:
    `visit` in class `DefaultFieldMatrixPreservingVisitor<BigFraction>`
  Parameters:
    `row` - row index of the entry
    `column` - column index of the entry
    `value` - current value of the entry

### getConvertedMatrix

    Array2DRowRealMatrix getConvertedMatrix()

  Get the converted matrix.

  Returns:
    converted matrix

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2013 Apache Software Foundation